<?php
    /** Blog Page Customizer Options **/
    function revolve_blogpage_customize_register( $wp_customize ) {
        /** Blog Page Panel **/
        $wp_customize->add_panel( 'blogpage_panel', array(
            'priority' => 15,
            'capability' => 'edit_theme_options',
            'title' => __( 'Blog Page Setting', 'revolve' ),
            'description' => __( 'Configure Blog Page.', 'revolve' ),
        ) );
        
        /** Add Blog Page Section **/
            /** Blog Page Section **/
                $wp_customize->add_section( 'blogarch_section', array(
                    'priority' => 20,
                    'capability' => 'edit_theme_options',
                    'title' => __( 'Blog Page', 'revolve' ),
                    'description' => __( 'Configure Blog Page', 'revolve' ),
                    'panel' => 'blogpage_panel',
                ) );
                
            /** Blog Exclude Category Control  **/
            $wp_customize->add_setting( 'blog_exclude_cat' , array( 'default' => 0, 'sanitize_callback' => 'sanitize_text_field') );
            $wp_customize->add_control(
               new WP_Customize_Select_Mul_Cat_Control(
                   $wp_customize,
                   'blog_exclude_cat',
                   array(
                       'label'      => __( 'Exclude Category', 'revolve' ),
                       'section'    => 'blogarch_section',
                       'settings'   => 'blog_exclude_cat',
                   )
               )
           );
           
           /** Featured Blog Post **/
            $wp_customize->add_setting( 'blog_feat_post' , array( 'default' => 0, 'sanitize_callback' => 'sanitize_text_field') );
            $wp_customize->add_control(
               new WP_Customize_Select_Post_Control(
                   $wp_customize,
                   'blog_feat_post',
                   array(
                       'label'      => __( 'Feature Post', 'revolve' ),
                       'section'    => 'blogarch_section',
                       'settings'   => 'blog_feat_post',
                   )
               )
           );
                
            /** Blog Single Post Section **
                $wp_customize->add_section( 'blogsingle_section', array(
                    'priority' => 20,
                    'capability' => 'edit_theme_options',
                    'title' => __( 'Blog Single Post', 'revolve' ),
                    'description' => __( 'Configure Blog Page', 'revolve' ),
                ) );*/
            
    }
    add_action( 'customize_register', 'revolve_blogpage_customize_register' );