<?php
    /** Home Slider Customizer Options **/
    function revolve_hslider_customize_register( $wp_customize ) {
        /** Home Slider Panel **/
        $wp_customize->add_panel( 'homeslider_panel', array(
            'priority' => 15,
            'capability' => 'edit_theme_options',
            'title' => __( 'Home Slider Setting', 'revolve' ),
            'description' => __( 'Configure Home Slider.', 'revolve' ),
        ) );

        /* ================= Home Slide =================== */
            /** Home Slide Section **/
            $wp_customize->add_section( 'hslide_section', array(
                'priority' => 1,
                'capability' => 'edit_theme_options',
                'title' => __( 'Home Slide', 'revolve' ),
                'description' => __( 'Configure Home Slide', 'revolve' ),
                'panel' => 'homeslider_panel',
            ) );
            
            /** Home Slide **/
            $wp_customize->add_setting( 'hslide' , array( 'default' => 0, 'sanitize_callback' => 'esc_url_raw') );
            $wp_customize->add_control(
               new WP_Customize_Image_Control(
                   $wp_customize,
                   'hslide',
                   array(
                       'label'      => __( 'Select Image', 'revolve' ),
                       'section'    => 'hslide_section',
                       'settings'   => 'hslide',
                   )
               )
           );
           
           /** Home Slide Caption Title **/
            $wp_customize->add_setting( 'hslide_caption_title' , array( 'default' => 'Caption Title', 'sanitize_callback' => 'sanitize_text_field') );
            $wp_customize->add_control(
                'hslide_caption_title', 
                array(
                    'label'    => __( 'Caption Title', 'revolve' ),
                    'section'  => 'hslide_section',
                    'settings' => 'hslide_caption_title',
                    'type'     => 'text',
                )
            );
            
            /** Home Slide Caption Content **/
            $wp_customize->add_setting( 'hslide_caption_content' , array( 'default' => 'Caption Content', 'sanitize_callback' => 'sanitize_text_field') );
            $wp_customize->add_control(
                'hslide_caption_content', 
                array(
                    'label'    => __( 'Caption Content', 'revolve' ),
                    'section'  => 'hslide_section',
                    'settings' => 'hslide_caption_content',
                    'type'     => 'textarea',
                )
            );
        
        /* ================= Slide 1 =================== */
            /** Slider 1 Section **/
            $wp_customize->add_section( 'slide1_section', array(
                'priority' => 10,
                'capability' => 'edit_theme_options',
                'title' => __( 'Slide 1', 'revolve' ),
                'description' => __( 'Configure Slide 1', 'revolve' ),
                'panel' => 'homeslider_panel',
            ) );
            
            /** Slide 1 Page **/
            $wp_customize->add_setting( 'slide1' , array( 'default' => 0, 'sanitize_callback' => 'sanitize_text_field') );
            $wp_customize->add_control(
               new WP_Customize_Select_Page_Control(
                   $wp_customize,
                   'slide1',
                   array(
                       'label'      => __( 'Select Page', 'revolve' ),
                       'section'    => 'slide1_section',
                       'settings'   => 'slide1',
                   )
               )
           );
           
           /** Slide 1 Caption Title **/
            $wp_customize->add_setting( 'slide1_caption_title' , array( 'default' => 'Caption Title', 'sanitize_callback' => 'sanitize_text_field') );
            $wp_customize->add_control(
                'slide1_caption_title', 
                array(
                    'label'    => __( 'Caption Title', 'revolve' ),
                    'section'  => 'slide1_section',
                    'settings' => 'slide1_caption_title',
                    'type'     => 'text',
                )
            );
            
            /** Slide 1 Caption Content **/
            $wp_customize->add_setting( 'slide1_caption_content' , array( 'default' => 'Caption Content', 'sanitize_callback' => 'sanitize_text_field') );
            $wp_customize->add_control(
                'slide1_caption_content', 
                array(
                    'label'    => __( 'Caption Content', 'revolve' ),
                    'section'  => 'slide1_section',
                    'settings' => 'slide1_caption_content',
                    'type'     => 'textarea',
                )
            );
            
            /** Slide 1 Widget **/
            $wp_customize->add_setting( 'slide1_widget' , array( 'default' => 0, 'sanitize_callback' => 'sanitize_text_field') );
            $wp_customize->add_control(
               new WP_Customize_Select_Widget_Control(
                   $wp_customize,
                   'slide1_widget',
                   array(
                       'label'      => __( 'Select Widget', 'revolve' ),
                       'section'    => 'slide1_section',
                       'settings'   => 'slide1_widget',
                   )
               )
           );
        
        /* ================= Slide 2 =================== */
            /** Slider 2 Section **/
            $wp_customize->add_section( 'slide2_section', array(
                'priority' => 10,
                'capability' => 'edit_theme_options',
                'title' => __( 'Slide 2', 'revolve' ),
                'description' => __( 'Configure Slide 2', 'revolve' ),
                'panel' => 'homeslider_panel',
            ) );
            
            /** Slide 2 Page **/
            $wp_customize->add_setting( 'slide2' , array( 'default' => 0, 'sanitize_callback' => 'sanitize_text_field') );
            $wp_customize->add_control(
               new WP_Customize_Select_Page_Control(
                   $wp_customize,
                   'slide2',
                   array(
                       'label'      => __( 'Select Page', 'revolve' ),
                       'section'    => 'slide2_section',
                       'settings'   => 'slide2',
                   )
               )
           );
           
           /** Slide 2 Caption Title **/
            $wp_customize->add_setting( 'slide2_caption_title' , array( 'default' => 'Caption Title', 'sanitize_callback' => 'sanitize_text_field') );
            $wp_customize->add_control(
                'slide2_caption_title', 
                array(
                    'label'    => __( 'Caption Title', 'revolve' ),
                    'section'  => 'slide2_section',
                    'settings' => 'slide2_caption_title',
                    'type'     => 'text',
                )
            );
            
            /** Slide 2 Caption Content **/
            $wp_customize->add_setting( 'slide2_caption_content' , array( 'default' => 'Caption Content', 'sanitize_callback' => 'sanitize_text_field') );
            $wp_customize->add_control(
                'slide2_caption_content', 
                array(
                    'label'    => __( 'Caption Content', 'revolve' ),
                    'section'  => 'slide2_section',
                    'settings' => 'slide2_caption_content',
                    'type'     => 'textarea',
                )
            );
            
            /** Slide 2 Widget **/
            $wp_customize->add_setting( 'slide2_widget' , array( 'default' => 0, 'sanitize_callback' => 'sanitize_text_field') );
            $wp_customize->add_control(
               new WP_Customize_Select_Widget_Control(
                   $wp_customize,
                   'slide2_widget',
                   array(
                       'label'      => __( 'Select Widget', 'revolve' ),
                       'section'    => 'slide2_section',
                       'settings'   => 'slide2_widget',
                   )
               )
           );
        
        /* ================= Slide 3 =================== */
            /** Slider 3 Section **/
            $wp_customize->add_section( 'slide3_section', array(
                'priority' => 10,
                'capability' => 'edit_theme_options',
                'title' => __( 'Slide 3', 'revolve' ),
                'description' => __( 'Configure Slide 3', 'revolve' ),
                'panel' => 'homeslider_panel',
            ) );
            
            /** Slide 3 Page **/
            $wp_customize->add_setting( 'slide3' , array( 'default' => 0, 'sanitize_callback' => 'sanitize_text_field') );
            $wp_customize->add_control(
               new WP_Customize_Select_Page_Control(
                   $wp_customize,
                   'slide3',
                   array(
                       'label'      => __( 'Select Page', 'revolve' ),
                       'section'    => 'slide3_section',
                       'settings'   => 'slide3',
                   )
               )
           );
           
           /** Slide 3 Caption Title **/
            $wp_customize->add_setting( 'slide3_caption_title' , array( 'default' => 'Caption Title', 'sanitize_callback' => 'sanitize_text_field') );
            $wp_customize->add_control(
                'slide3_caption_title', 
                array(
                    'label'    => __( 'Caption Title', 'revolve' ),
                    'section'  => 'slide3_section',
                    'settings' => 'slide3_caption_title',
                    'type'     => 'text',
                )
            );
            
            /** Slide 3 Caption Content **/
            $wp_customize->add_setting( 'slide3_caption_content' , array( 'default' => 'Caption Content', 'sanitize_callback' => 'sanitize_text_field') );
            $wp_customize->add_control(
                'slide3_caption_content', 
                array(
                    'label'    => __( 'Caption Content', 'revolve' ),
                    'section'  => 'slide3_section',
                    'settings' => 'slide3_caption_content',
                    'type'     => 'textarea',
                )
            );
            
            /** Slide 3 Widget **/
            $wp_customize->add_setting( 'slide3_widget' , array( 'default' => 0, 'sanitize_callback' => 'sanitize_text_field') );
            $wp_customize->add_control(
               new WP_Customize_Select_Widget_Control(
                   $wp_customize,
                   'slide3_widget',
                   array(
                       'label'      => __( 'Select Widget', 'revolve' ),
                       'section'    => 'slide3_section',
                       'settings'   => 'slide3_widget',
                   )
               )
           );
        /* ================= Slide 4 =================== */
            /** Slider 4 Section **/
            $wp_customize->add_section( 'slide4_section', array(
                'priority' => 10,
                'capability' => 'edit_theme_options',
                'title' => __( 'Slide 4', 'revolve' ),
                'description' => __( 'Configure Slide 4', 'revolve' ),
                'panel' => 'homeslider_panel',
            ) );
            
            /** Slide 4 Page **/
            $wp_customize->add_setting( 'slide4' , array( 'default' => 0, 'sanitize_callback' => 'sanitize_text_field') );
            $wp_customize->add_control(
               new WP_Customize_Select_Page_Control(
                   $wp_customize,
                   'slide4',
                   array(
                       'label'      => __( 'Select Page', 'revolve' ),
                       'section'    => 'slide4_section',
                       'settings'   => 'slide4',
                   )
               )
           );
           
           /** Slide 4 Caption Title **/
            $wp_customize->add_setting( 'slide4_caption_title' , array( 'default' => 'Caption Title', 'sanitize_callback' => 'sanitize_text_field') );
            $wp_customize->add_control(
                'slide4_caption_title', 
                array(
                    'label'    => __( 'Caption Title', 'revolve' ),
                    'section'  => 'slide4_section',
                    'settings' => 'slide4_caption_title',
                    'type'     => 'text',
                )
            );
            
            /** Slide 4 Caption Content **/
            $wp_customize->add_setting( 'slide4_caption_content' , array( 'default' => 'Caption Content', 'sanitize_callback' => 'sanitize_text_field') );
            $wp_customize->add_control(
                'slide4_caption_content', 
                array(
                    'label'    => __( 'Caption Content', 'revolve' ),
                    'section'  => 'slide4_section',
                    'settings' => 'slide4_caption_content',
                    'type'     => 'textarea',
                )
            );
            
            /** Slide 4 Widget **/
            $wp_customize->add_setting( 'slide4_widget' , array( 'default' => 0, 'sanitize_callback' => 'sanitize_text_field') );
            $wp_customize->add_control(
               new WP_Customize_Select_Widget_Control(
                   $wp_customize,
                   'slide4_widget',
                   array(
                       'label'      => __( 'Select Widget', 'revolve' ),
                       'section'    => 'slide4_section',
                       'settings'   => 'slide4_widget',
                   )
               )
           );
            
        /* ================= Slide 5 =================== */
            /** Slider 5 Section **/
            $wp_customize->add_section( 'slide5_section', array(
                'priority' => 10,
                'capability' => 'edit_theme_options',
                'title' => __( 'Slide 5', 'revolve' ),
                'description' => __( 'Configure Slide 5', 'revolve' ),
                'panel' => 'homeslider_panel',
            ) );
            
            /** Slide 5 Page **/
            $wp_customize->add_setting( 'slide5' , array( 'default' => 0, 'sanitize_callback' => 'sanitize_text_field') );
            $wp_customize->add_control(
               new WP_Customize_Select_Page_Control(
                   $wp_customize,
                   'slide5',
                   array(
                       'label'      => __( 'Select Page', 'revolve' ),
                       'section'    => 'slide5_section',
                       'settings'   => 'slide5',
                   )
               )
           );
           
           /** Slide 5 Caption Title **/
            $wp_customize->add_setting( 'slide5_caption_title' , array( 'default' => 'Caption Title', 'sanitize_callback' => 'sanitize_text_field') );
            $wp_customize->add_control(
                'slide5_caption_title', 
                array(
                    'label'    => __( 'Caption Title', 'revolve' ),
                    'section'  => 'slide5_section',
                    'settings' => 'slide5_caption_title',
                    'type'     => 'text',
                )
            );
            
            /** Slide 5 Caption Content **/
            $wp_customize->add_setting( 'slide5_caption_content' , array( 'default' => 'Caption Content', 'sanitize_callback' => 'sanitize_text_field') );
            $wp_customize->add_control(
                'slide5_caption_content', 
                array(
                    'label'    => __( 'Caption Content', 'revolve' ),
                    'section'  => 'slide5_section',
                    'settings' => 'slide5_caption_content',
                    'type'     => 'textarea',
                )
            );
            
            /** Slide 5 Widget **/
            $wp_customize->add_setting( 'slide5_widget' , array( 'default' => 0, 'sanitize_callback' => 'sanitize_text_field') );
            $wp_customize->add_control(
               new WP_Customize_Select_Widget_Control(
                   $wp_customize,
                   'slide5_widget',
                   array(
                       'label'      => __( 'Select Widget', 'revolve' ),
                       'section'    => 'slide5_section',
                       'settings'   => 'slide5_widget',
                   )
               )
           );
        
        /* ================= Slide 6 =================== */
            /** Slider 6 Section **/
            $wp_customize->add_section( 'slide6_section', array(
                'priority' => 10,
                'capability' => 'edit_theme_options',
                'title' => __( 'Slide 6', 'revolve' ),
                'description' => __( 'Configure Slide 6', 'revolve' ),
                'panel' => 'homeslider_panel',
            ) );
            
            /** Slide 6 Page **/
            $wp_customize->add_setting( 'slide6' , array( 'default' => 0, 'sanitize_callback' => 'sanitize_text_field') );
            $wp_customize->add_control(
               new WP_Customize_Select_Page_Control(
                   $wp_customize,
                   'slide6',
                   array(
                       'label'      => __( 'Select Page', 'revolve' ),
                       'section'    => 'slide6_section',
                       'settings'   => 'slide6',
                   )
               )
           );
           
           /** Slide 6 Caption Title **/
            $wp_customize->add_setting( 'slide6_caption_title' , array( 'default' => 'Caption Title', 'sanitize_callback' => 'sanitize_text_field') );
            $wp_customize->add_control(
                'slide6_caption_title', 
                array(
                    'label'    => __( 'Caption Title', 'revolve' ),
                    'section'  => 'slide6_section',
                    'settings' => 'slide6_caption_title',
                    'type'     => 'text',
                )
            );
            
            /** Slide 6 Caption Content **/
            $wp_customize->add_setting( 'slide6_caption_content' , array( 'default' => 'Caption Content', 'sanitize_callback' => 'sanitize_text_field') );
            $wp_customize->add_control(
                'slide6_caption_content', 
                array(
                    'label'    => __( 'Caption Content', 'revolve' ),
                    'section'  => 'slide6_section',
                    'settings' => 'slide6_caption_content',
                    'type'     => 'textarea',
                )
            );
            
            /** Slide 6 Widget **/
            $wp_customize->add_setting( 'slide6_widget' , array( 'default' => 0, 'sanitize_callback' => 'sanitize_text_field') );
            $wp_customize->add_control(
               new WP_Customize_Select_Widget_Control(
                   $wp_customize,
                   'slide6_widget',
                   array(
                       'label'      => __( 'Select Widget', 'revolve' ),
                       'section'    => 'slide6_section',
                       'settings'   => 'slide6_widget',
                   )
               )
           );
           
        /* ================= Slide 7 =================== */
            /** Slider 7 Section **/
            $wp_customize->add_section( 'slide7_section', array(
                'priority' => 10,
                'capability' => 'edit_theme_options',
                'title' => __( 'Slide 7', 'revolve' ),
                'description' => __( 'Configure Slide 7', 'revolve' ),
                'panel' => 'homeslider_panel',
            ) );
            
            /** Slide 7 Page **/
            $wp_customize->add_setting( 'slide7' , array( 'default' => 0, 'sanitize_callback' => 'sanitize_text_field') );
            $wp_customize->add_control(
               new WP_Customize_Select_Page_Control(
                   $wp_customize,
                   'slide7',
                   array(
                       'label'      => __( 'Select Page', 'revolve' ),
                       'section'    => 'slide7_section',
                       'settings'   => 'slide7',
                   )
               )
           );
           
           /** Slide 7 Caption Title **/
            $wp_customize->add_setting( 'slide7_caption_title' , array( 'default' => 'Caption Title', 'sanitize_callback' => 'sanitize_text_field') );
            $wp_customize->add_control(
                'slide7_caption_title', 
                array(
                    'label'    => __( 'Caption Title', 'revolve' ),
                    'section'  => 'slide7_section',
                    'settings' => 'slide7_caption_title',
                    'type'     => 'text',
                )
            );
            
            /** Slide 7 Caption Content **/
            $wp_customize->add_setting( 'slide7_caption_content' , array( 'default' => 'Caption Content', 'sanitize_callback' => 'sanitize_text_field') );
            $wp_customize->add_control(
                'slide7_caption_content', 
                array(
                    'label'    => __( 'Caption Content', 'revolve' ),
                    'section'  => 'slide7_section',
                    'settings' => 'slide7_caption_content',
                    'type'     => 'textarea',
                )
            );
            
            /** Slide 7 Widget **/
            $wp_customize->add_setting( 'slide7_widget' , array( 'default' => 0, 'sanitize_callback' => 'sanitize_text_field') );
            $wp_customize->add_control(
               new WP_Customize_Select_Widget_Control(
                   $wp_customize,
                   'slide7_widget',
                   array(
                       'label'      => __( 'Select Widget', 'revolve' ),
                       'section'    => 'slide7_section',
                       'settings'   => 'slide7_widget',
                   )
               )
           );
           
        /* ================= Slide 8 =================== */
            /** Slider 8 Section **/
            $wp_customize->add_section( 'slide8_section', array(
                'priority' => 10,
                'capability' => 'edit_theme_options',
                'title' => __( 'Slide 8', 'revolve' ),
                'description' => __( 'Configure Slide 8', 'revolve' ),
                'panel' => 'homeslider_panel',
            ) );
            
            /** Slide 8 Page **/
            $wp_customize->add_setting( 'slide8' , array( 'default' => 0, 'sanitize_callback' => 'sanitize_text_field') );
            $wp_customize->add_control(
               new WP_Customize_Select_Page_Control(
                   $wp_customize,
                   'slide8',
                   array(
                       'label'      => __( 'Select Page', 'revolve' ),
                       'section'    => 'slide8_section',
                       'settings'   => 'slide8',
                   )
               )
           );
           
           /** Slide 8 Caption Title **/
            $wp_customize->add_setting( 'slide8_caption_title' , array( 'default' => 'Caption Title', 'sanitize_callback' => 'sanitize_text_field') );
            $wp_customize->add_control(
                'slide8_caption_title', 
                array(
                    'label'    => __( 'Caption Title', 'revolve' ),
                    'section'  => 'slide8_section',
                    'settings' => 'slide8_caption_title',
                    'type'     => 'text',
                )
            );
            
            /** Slide 8 Caption Content **/
            $wp_customize->add_setting( 'slide8_caption_content' , array( 'default' => 'Caption Content', 'sanitize_callback' => 'sanitize_text_field') );
            $wp_customize->add_control(
                'slide8_caption_content', 
                array(
                    'label'    => __( 'Caption Content', 'revolve' ),
                    'section'  => 'slide8_section',
                    'settings' => 'slide8_caption_content',
                    'type'     => 'textarea',
                )
            );
            
            /** Slide 8 Widget **/
            $wp_customize->add_setting( 'slide8_widget' , array( 'default' => 0, 'sanitize_callback' => 'sanitize_text_field') );
            $wp_customize->add_control(
               new WP_Customize_Select_Widget_Control(
                   $wp_customize,
                   'slide8_widget',
                   array(
                       'label'      => __( 'Select Widget', 'revolve' ),
                       'section'    => 'slide8_section',
                       'settings'   => 'slide8_widget',
                   )
               )
           );
    }
    add_action( 'customize_register', 'revolve_hslider_customize_register' );