<?php
    /** Miscellaneous Customizer Options **/
    function revolve_misc_customize_register( $wp_customize ) {
        /****** Header Settings *******/
        /** Add General Settings Panel **/
        $wp_customize->add_panel( 'genset_panel', array(
            'priority' => 1,
            'capability' => 'edit_theme_options',
            'title' => __( 'General Setting', 'revolve' ),
            'description' => __( 'Configure Blog Page.', 'revolve' ),
        ) );

        /** Add Header Section **/
            /** Header Section **/
                $wp_customize->add_section( 'header_settings', array(
                    'priority' => 10,
                    'capability' => 'edit_theme_options',
                    'title' => __( 'Header Settings', 'revolve' ),
                    'description' => __( 'Configure Header', 'revolve' ),
                    'panel' => 'genset_panel',
                ) );
            
            /** Header Logo Control **/
            $wp_customize->add_setting( 'header_logo' , array( 'default' => '', 'sanitize_callback' => 'esc_url_raw') );
            $wp_customize->add_control(
               new WP_Customize_Image_Control(
                   $wp_customize,
                   'header_logo',
                   array(
                       'label'      => __( 'Upload a logo', 'revolve' ),
                       'section'    => 'header_settings',
                       'settings'   => 'header_logo',
                   )
               )
           );
           
           /** Heaeder Logo Display Control **/
            $wp_customize->add_setting( 'header_display' , array( 'default' => 'text_only', 'sanitize_callback' => 'sanitize_text_field') );
            $wp_customize->add_control(
                'header_display', 
                array(
                    'label'    => __( 'Display (Logo/Text)', 'revolve' ),
                    'section'  => 'header_settings',
                    'type'     => 'select',
                    'choices' => array(
                        'text_only' => __('Text Only', 'revolve'),
                        'logo_only' => __('Logo Only', 'revolve'),
                        'both' => __('Both', 'revolve'),
                    )
                )
            );

            /** Social Icon Section **/
                $wp_customize->add_section( 'sicon_section', array(
                    'priority' => 11,
                    'capability' => 'edit_theme_options',
                    'title' => __( 'Social Icons', 'revolve' ),
                    'description' => __( 'Configure Social Icons for the site', 'revolve' ),
                    'panel' => 'genset_panel',
                ) );

              /** Facebook Icon **/
              $wp_customize->add_setting( 'social_fb' , array( 'default' => '', 'sanitize_callback' => 'esc_url_raw') );
              $wp_customize->add_control(
                'social_fb', 
                array(
                    'label'    => __( 'Facebook URL', 'revolve' ),
                    'description' => __('Enter the url for Facebook', 'revolve'),
                    'type'     => 'text',
                    'section' => 'sicon_section',
                )
              );

              /** Twitter Icon **/
              $wp_customize->add_setting( 'social_tw' , array( 'default' => '', 'sanitize_callback' => 'esc_url_raw') );
              $wp_customize->add_control(
                'social_tw', 
                array(
                    'label'    => __( 'Twitter URL', 'revolve' ),
                    'description' => __('Enter the url for twitter', 'revolve'),
                    'type'     => 'text',
                    'section' => 'sicon_section',
                )
              );

              /** Google Plus Icon **/
              $wp_customize->add_setting( 'social_gplus' , array( 'default' => '', 'sanitize_callback' => 'esc_url_raw') );
              $wp_customize->add_control(
                'social_gplus', 
                array(
                    'label'    => __( 'Google Plus URL', 'revolve' ),
                    'description' => __('Enter the url for Google+', 'revolve'),
                    'type'     => 'text',
                    'section' => 'sicon_section',
                )
              );

              /** LinkedIn Icon **/
              $wp_customize->add_setting( 'social_lnk' , array( 'default' => '', 'sanitize_callback' => 'esc_url_raw') );
              $wp_customize->add_control(
                'social_lnk', 
                array(
                    'label'    => __( 'LinkedIn URL', 'revolve' ),
                    'description' => __('Enter the url for LinkedIn', 'revolve'),
                    'type'     => 'text',
                    'section' => 'sicon_section',
                )
              );

              /** Youtube Icon **/
              $wp_customize->add_setting( 'social_ytube' , array( 'default' => '', 'sanitize_callback' => 'esc_url_raw') );
              $wp_customize->add_control(
                'social_ytube', 
                array(
                    'label'    => __( 'Youtube URL', 'revolve' ),
                    'description' => __('Enter the url for Youtube', 'revolve'),
                    'type'     => 'text',
                    'section' => 'sicon_section',
                )
              );

        /** Remove Default Sections **/
        $wp_customize->remove_section( 'header_image' );
        $wp_customize->remove_section( 'background_image' );
        
        $wp_customize->remove_section( 'title_tagline' );
        $wp_customize->remove_section( 'colors' );
        $wp_customize->remove_section( 'static_front_page' );
        
        /* Site Identity */
        $wp_customize->add_section(
            'title_tagline',
            array(
                'title'=>__('Site Identity', 'scrollme-pro'), 'panel' => 'genset_panel'
            )
        );
        
        /* Colors */
        $wp_customize->add_section(
            'colors',
            array(
                'title'=>__('Colors', 'scrollme-pro'), 'panel' => 'genset_panel'
            )
        );
        
        /* Static Front Page */
        $wp_customize->add_section(
            'static_front_page',
            array(
                'title'=>__('Static Front Page', 'scrollme-pro'), 'panel' => 'genset_panel'
            )
        );
            
    }
    add_action( 'customize_register', 'revolve_misc_customize_register' );