<?php
/**
 * The template for displaying all single posts.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Revolve
 */

get_header(); ?>

	<div id="primary" class="content-area">
		<main id="main" class="site-main" role="main">
        <?php $port_category = get_theme_mod('port_category', 0); ?>
		<?php
		while ( have_posts() ) : the_post();
            $p_cats = get_the_category();
            $port_cats = array();
            foreach($p_cats as $p_cat) {
                $port_cats[] = $p_cat->term_id;
            }
            
            if($port_category != 0) {
                if(in_array($port_category, $port_cats)){
                    get_template_part( 'template-parts/content', 'portfolio' );
                }else {
                    get_template_part( 'template-parts/content', get_post_format() );
                    the_post_navigation();
                }
            } else {
                get_template_part( 'template-parts/content', get_post_format() );
                the_post_navigation();
            }

			// If comments are open or we have at least one comment, load up the comment template.
			if ( comments_open() || get_comments_number() ) :
				comments_template();
			endif;

		endwhile; // End of the loop.
		?>

		</main><!-- #main -->
	</div><!-- #primary -->

<?php
get_footer();
