<?php
    /**
     * Displaying Team Archive Posts
     *
     *
     * @package Revolve
     */

    $team_cat = get_theme_mod( 'team_category', 0 );
    $args = array(
        'post_status' => 'publish',
        'posts_per_page' => -1,
        'orderby' => 'title',
        'order' => 'ASC',
        'category__in' => $team_cat
    );
    
    $query = new WP_Query($args);
    $post_arr = $query->get_posts();
    $post_arr2 = revolve_group_post_alphabetically($post_arr);
    $post_stacks = array_chunk($post_arr, 5);
    $post_stacks2 = array_chunk($post_arr, 2);
    $post_stacks3 = array_chunk($post_arr2, 4, true);
?>

<!-- Team Controls -->
<div id="team-control">
    <div class="team-lays">
        <div id="format-grid-1" class="format-grid team-disp-style">
            <a href="javascript:void(0);" class="gridlist icon-active" data-format="grid">
            <i class="fa fa-th"></i>
            </a>
        </div>
        
        <div id="format-tile-2" class="format-tile team-disp-style">
            <a href="javascript:void(0);" class="tilelist" data-format="tile">
            <i class="fa fa-list-ul"></i>
            </a>
        </div>
        
        <div id="format-list-3" class="format-list team-disp-style">
            <a href="javascript:void(0);" class="list" data-format="list">
            <i class="fa fa-align-justify"></i>
            </a>
        </div>
    </div>
    <div class="team-search">
        <input class="team-search-box" type="text" placeholder="<?php _e('Mr. Team Member', 'revolve'); ?>" />
        <i id="search-icon" class="fa fa-search"></i>
    </div>
</div>

<!-- Team Posts -->
<?php if(!empty($post_arr)) : ?>
    <div class="team-grid-layout team-all-members">
        <?php foreach($post_stacks as $post_stack) : ?>
            <div class='team-list-block'>
                <?php foreach($post_stack as $team) : ?>
                    <?php
                        if(has_post_thumbnail($team->ID)) {
                            $img = wp_get_attachment_image_src(get_post_thumbnail_id($team->ID), 'full'); // Consult Designer
                            $img_src = $img[0];    
                        } else {
                            $img_src = get_template_directory_uri().'/images/no-team-member.jpg';
                        }
                        
                    ?>
                    <div class="team-image-wrap team-member">
                        <div class="team-image"><img src="<?php echo $img_src; ?>" /></div>
                        <h2 class="team-member-name"><?php echo $team->post_title; ?></h2>
                    </div>
                    <div class="team-info" style="display: none;">
                        <span class="close-team-info">X</span>
                        <div class="team-inner-info">
                            <div class="bio">
                                <h2><?php echo $team->post_title; ?></h2>
                                <hr />
                               
                                    <?php echo $team->post_content; ?>
                            </div>
                            <div class="team-inner-image">
                                <img src="<?php echo $img_src; ?>" />
                            </div>
                        </div>
                    </div>
                <?php endforeach; ?>
            </div>
            <div class="team-info-block" style="display: none;"></div>
        <?php endforeach; ?>
    </div>
    
    <div class="team-all-members team-tile-layout" style="display: none;">
        <?php foreach($post_stacks2 as $post_stack) : ?>
            <div class='team-list-block'>
                <?php foreach($post_stack as $team) : ?>
                    <?php
                        if(has_post_thumbnail($team->ID)) {
                            $img = wp_get_attachment_image_src(get_post_thumbnail_id($team->ID), 'full'); // Consult Designer
                            $img_src = $img[0];    
                        } else {
                            $img_src = get_template_directory_uri().'/images/no-team-member.jpg';
                        }
                        
                    ?>
                    <div class="team-image-wrap team-member">
                        <div class="team-image"><img src="<?php echo $img_src; ?>" /></div>
                        <h2 class="team-member-name"><?php echo $team->post_title; ?></h2>
                    </div>
                    <div class="team-info" style="display: none;">
                        <span class="close-team-info">X</span>
                        <div class="team-inner-info">
                            <div class="bio">
                                <h2><?php echo $team->post_title; ?></h2>
                                <hr />
                               
                                    <?php echo $team->post_content; ?>
                            </div>
                            <div class="team-inner-image">
                                <img src="<?php echo $img_src; ?>" />
                            </div>
                        </div>
                    </div>
                <?php endforeach; ?>
            </div>
            <div class="team-info-block" style="display: none;"></div>
        <?php endforeach; ?>
    </div>
    
    <div class="team-all-members team-list-layout" style="display: none;">
        <?php foreach($post_stacks3 as $post_stack) : ?>
            <div class='team-list-block'>
                <?php foreach($post_stack as $alpha => $teams) : ?>
                    <div class="letter-group">
                        <h2><?php echo $alpha; ?></h2>
                        <?php foreach($teams as $team) : ?>
                            <?php
                                if(has_post_thumbnail($team->ID)) {
                                    $img = wp_get_attachment_image_src(get_post_thumbnail_id($team->ID), 'full'); // Consult Designer
                                    $img_src = $img[0];    
                                } else {
                                    $img_src = get_template_directory_uri().'/images/no-team-member.jpg';
                                }
                                
                            ?>
                            <div class="team-image-wrap team-member">
                                <h2 class="team-member-name"><?php echo $team->post_title; ?></h2>
                            </div>
                            <div class="team-info" style="display: none;">
                                <span class="close-team-info">X</span>
                                <div class="team-inner-info">
                                <div class="bio">
                                    <h2><?php echo $team->post_title; ?></h2>
                                    <hr />
                                   
                                        <?php echo $team->post_content; ?>
                                </div>
                                <div class="team-inner-image">
                                   <div class="team-image"><img src="<?php echo $img_src; ?>" /></div>
                                </div>
                                </div>
                            </div>
                        <?php endforeach; ?> <!-- Team Loop -->
                    </div> <!-- Team Group -->
                <?php endforeach; ?>
            </div>
            <div class="team-info-block" style="display: none;"></div>
        <?php endforeach; ?>
    </div>
<?php endif; ?>