<?php
/**
 * The template for displaying all pages.
 * Template Name: Home
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Revolve
 */

get_header(); ?>
    
    <?php
        $args = array(
        	'post_parent' => 0,
        	'post_type' => 'page',
            'order' => 'ASC',
            'orderby' => 'menu_order',
            'meta_query' => array(
               array(
                   'key' => 'hm_poster_display',
                   'value' => 1,
                   'compare' => '=',
               )
           )            
        );
        $query = new WP_Query($args);
    ?>
    
    <?php $hsliders = revolve_get_home_slider(); ?>
    
    <?php if(!empty($hsliders)) : ?>
        <div id="revolve-home-slider">
            <?php
                /** Home Slide **/
                $hslide = esc_url(get_theme_mod( 'hslide', '' ));
                $hslide_caption_title = sanitize_text_field(get_theme_mod( 'hslide_caption_title', '' ));
                $hslide_caption_content = sanitize_text_field(get_theme_mod( 'hslide_caption_content', '' ));
                $pst_id = attachment_url_to_postid($hslide);
                $image = wp_get_attachment_image_src($pst_id, 'full');
                $img_src = $image[0];
            ?>
            <?php if($hslide != '' || $pst_id != 0) : ?>
            <section id="<?php //echo $sl_id; ?>" class="revolve-sliders" data-item="page-item-0" style="background-image: url('<?php echo $img_src; ?>');">
                <div class="revolve-sliders-captions">
                    <div class="revolve-bar"></div>
                    <div class="revolve-cap-text">
                        <?php if($hslide_caption_title != '') : ?>
                            <div class="revolve-caption-title"><?php echo $hslide_caption_title; ?></div>
                        <?php endif; ?>
                        
                        <?php if($hslide_caption_content != '') : ?>
                            <div class="revolve-caption-description"><?php echo $hslide_caption_content; ?></div>
                        <?php endif; ?>
                    </div>
                </div>
                <div class="revolve-move-down"></div>
            </section>
            <?php endif; ?>
            
            <?php foreach($hsliders as $hslider) : ?>
                <?php
                    $post_id = $hslider[0];
                    $cap_title = $hslider[1];
                    $cap_content = $hslider[2];
                    $sl_id = $hslider[3];
                    $sl_widget = $hslider[4];
                ?>
                <?php if(has_post_thumbnail( $post_id )) : ?>
                    <?php $feat_img = wp_get_attachment_image_src(get_post_thumbnail_id($post_id), 'full'); ?>
                    <section id="<?php echo $sl_id; ?>" class="revolve-sliders" data-item="page-item-<?php echo $post_id; ?>" style="background-image: url('<?php echo $feat_img[0]; ?>');">
                        <div class="revolve-sliders-captions">
                            <div class="revolve-bar"></div>
                            <div class="revolve-cap-text">
                                <a href="<?php echo get_page_link($post_id); ?>">
                                    <?php if($cap_title != '') : ?>
                                        <div class="revolve-caption-title"><?php echo $cap_title; ?></div>
                                    <?php endif; ?>
                                    
                                    <?php if($cap_content != '') : ?>
                                        <div class="revolve-caption-description"><?php echo $cap_content; ?></div>
                                    <?php endif; ?>
                                </a>
                            </div>
                        </div>
                        <?php if($sl_widget && is_active_sidebar($sl_widget)) : ?>
                            <div class="revolve-slider-widget">
                                <?php dynamic_sidebar($sl_widget); ?>
                            </div>
                        <?php endif; ?>
                        <div class="revolve-move-down"></div>
                    </section>
                <?php endif; ?>
            <?php /*
                <section id="<?php echo ; ?>" class="revolve-sliders" data-item="page-item-<?php echo get_the_ID() ?>" style="background-image: url('<?php echo esc_url_raw($hm_poster_image); ?>');">
                </section> */ ?>
            <?php endforeach; ?>
        </div>
    <?php endif; ?>
    
    <?php /*
    
    <?php if($query->have_posts()) : ?>
        <div id="revolve-home-slider">
            
        <?php while($query->have_posts()) : $query->the_post(); ?>
            <?php
                $hm_poster_image = get_post_meta( $post->ID, 'hm_poster_image', true );
                $hm_poster_caption_title = get_post_meta( $post->ID, 'hm_poster_caption_title', true );
                $hm_poster_caption_descr = get_post_meta( $post->ID, 'hm_poster_caption_descr', true );
                $cus_page_id = get_post_meta( $post->ID, 'cus_page_id', true );
                $cus_page_id = empty($cus_page_id) ?  "page-item-".get_the_ID() : $cus_page_id;
            ?>
            <section id="<?php echo esc_attr($cus_page_id); ?>" class="revolve-sliders" data-item="page-item-<?php echo get_the_ID() ?>" style="background-image: url('<?php echo esc_url_raw($hm_poster_image); ?>');">
                <div class="revolve-sliders-captions">
                <div class="revolve-bar"></div>
                <div class="revolve-cap-text">
                    <a href="<?php the_permalink(); ?>">
                        <?php if($hm_poster_caption_title !=  '') : ?>
                            <div class="revolve-caption-title"><?php echo esc_attr($hm_poster_caption_title); ?></div>
                        <?php endif; ?>
                        
                        <?php if($hm_poster_caption_descr != '') : ?>
                            <div class="revolve-caption-description"><?php echo wp_kses_post($hm_poster_caption_descr); ?></div>
                        <?php endif; ?>
                    </a>
                </div>
                </div>
                <div class="revolve-move-down"></div>
            </section>
        <?php endwhile; ?>
        </div>
    <?php endif; ?>
    */ ?>

<?php
get_footer();