<?php
/**
 * The template for displaying all pages.
 * Template Name: Portfolio
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Revolve
 */

get_header(); ?>

    <div class="revole-page-header clearfix">

        <?php while ( have_posts() ) : the_post(); ?>

		<?php $parid = get_the_ID(); ?>

        <h1 class="revolve-page-header-left">
            <?php the_title(); ?>
        </h1>

        <div class="revolve-page-content-right">
            <?php the_content(); ?>
        </div>

        <?php endwhile; ?>
            
    </div>
    
    <?php
        $port_cat = get_theme_mod( 'port_category', 0 );
        $args = array(
        	'post_status' => 'publish',
            'posts_per_page' => -1,
            'category__in' => $port_cat
        );
        
        $query = new WP_Query($args);
    ?>
    
    <!-- Portfolio Posts -->
    <?php if($query->have_posts()) : ?>
        <div class="portfolio-post-container">
            <?php while($query->have_posts()) : $query->the_post(); ?>
                <div class="portfolio-post-wrap">
                    <?php
                        $img_src = get_template_directory_uri().'/images/no-port-thumbnail.jpg';
                        if(has_post_thumbnail()) {
                            $img = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), 'revolve-port-grid-thumb'); // Consult Designer
                            $img_src = $img[0];
                        }
                    ?>
                    <img src="<?php echo $img_src; ?>" />
                    <div class="port-outer-wrap">
                        <a href="<?php the_permalink(); ?>">
                        <span class="port-post-title"><?php the_title(); ?></span>
                        </a>
                        <div class="port-link-wrap">
                            <p>
                                <span class="port-link">
                                    <a href="<?php the_permalink(); ?>"><i class="fa fa-link"></i></a>
                                </span>
                                <span class="port-link">
                                    <a href="<?php echo $img_src; ?>" class="port-viewbox"><i class="fa fa-search"></i></a>
                                </span>
                            </p>
                        </div>
                    </div>
                </div>
            <?php endwhile; ?>
        </div>        
    <?php endif; ?>

<?php get_footer(); ?>