<?php
/**
 * The template for displaying all pages.
 * Template Name: Scroll Page
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Revolve
 */

get_header(); ?>
    
    <div class="revole-page-header clearfix">

        <?php while ( have_posts() ) : the_post(); ?>

		<?php $parid = get_the_ID(); ?>

        <h1 class="revolve-page-header-left">
            <?php the_title(); ?>
        </h1>

        <div class="revolve-page-content-right">
            <?php the_content(); ?>
        </div>

        <?php endwhile; ?>
            
    </div>
    
    <?php
        $args = array(
        	'post_parent' => $parid,
        	'post_type' => 'page',
            'order' => 'ASC',
            'orderby' => 'menu_order',
        );
        
        $query = new WP_Query($args);
    ?>
    
    <!-- Subpages Contents -->
    <?php if($query->have_posts()) : ?>
    
        <?php while($query->have_posts()) : $query->the_post(); ?>
            <?php
                $post_metaslug = get_post_meta( $post->ID, 'cus_page_id', true );
                $sec_id = ($post_metaslug != '') ? esc_attr($post_metaslug) : $post->post_name; 
            ?>
            <div class="sub-block-wrap" id="<?php echo $sec_id; ?>" >
                <?php if(has_post_thumbnail()) : ?>
                    <?php $img = wp_get_attachment_image_src(get_post_thumbnail_id(), 'full'); ?>
                    
                    <div class="sub-block-header" <?php /*style="background:url(<?php echo $img[0]; ?>)" */ ?>>
                        <img src="<?php echo $img[0]; ?>" />
                        <h2 class="sub-block-title"><?php the_title(); ?></h2>
                    </div>
                    
                <?php endif; ?>
                
                <div class="sub-block-content">
                    <?php the_content(); ?>
                </div>
            </div>
        <?php endwhile; ?>
        
    <?php endif; ?>

<?php get_footer(); ?>